function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { DEFAULT_AUDIO_CAPABILITIES, receiverCapabilities } from './RTCRtpCapabilities';
import RTCRtpReceiveParameters from './RTCRtpReceiveParameters';
export default class RTCRtpReceiver {
  constructor(info) {
    _defineProperty(this, "_id", void 0);

    _defineProperty(this, "_peerConnectionId", void 0);

    _defineProperty(this, "_track", null);

    _defineProperty(this, "_rtpParameters", void 0);

    this._id = info.id;
    this._peerConnectionId = info.peerConnectionId;
    this._rtpParameters = new RTCRtpReceiveParameters(info.rtpParameters);

    if (info.track) {
      this._track = info.track;
    }
  }

  static getCapabilities(kind) {
    if (kind === 'audio') {
      return DEFAULT_AUDIO_CAPABILITIES;
    }

    if (!receiverCapabilities) {
      throw new Error('Receiver Capabilities is null');
    }

    return receiverCapabilities;
  }

  getParameters() {
    return this._rtpParameters;
  }

  get id() {
    return this._id;
  }

  get track() {
    return this._track;
  }

}
//# sourceMappingURL=RTCRtpReceiver.js.map